
Auto Multiple Choice - Bug # 200: Gtk-WARNING: cannot open display ... 

Status: Closed Priority: Normal
Author: Juliana Belding Category:
Created: 08/28/2013 Assignee:
Updated: 10/31/2014 Due date:
Description: I'm new to this program, but have finally installed AMC on my Mac Mountain Lion, using the work around 

described in Bug #70 at the end (by Alban Mazerolles). It finally installed via Mac Ports, but now when I go to 
launch it via auto-multiple-choice I get the bug:

Gtk-WARNING **: cannot open display:  at 
/opt/local/lib/perl5/vendor_perl/5.12.4/darwin-thread-multi-2level/Gtk2.pm line 138.

This seems similar to something described in the form (Erreur GTK2.pm) but my AMC-association.pl file is 
already updated to "require" instead of "use". The bug persists.

Any advice would be great!

History
08/28/2013 10:01 pm - Alexis Bienvenüe
Did you install a X11 server? It seems that the DISPLAY environment variable is not set. Maybe try the following command (I don't know Mac OS but 
maybe that can help):
<pre>
DISPLAY=:0 auto-multiple-choice
</pre>

08/29/2013 08:17 pm - Juliana Belding
Thanks for the quick response. I did install XQuartz. When I try the command you mention in the terminal I get the following. Any thoughts?

Can't locate Module/Metadata.pm in @INC (@INC contains: /opt/local/lib/perl5/site_perl/5.12.4/darwin-thread-multi-2level 
/opt/local/lib/perl5/site_perl/5.12.4 /opt/local/lib/perl5/vendor_perl/5.12.4/darwin-thread-multi-2level /opt/local/lib/perl5/vendor_perl/5.12.4 
/opt/local/lib/perl5/5.12.4/darwin-thread-multi-2level /opt/local/lib/perl5/5.12.4 /opt/local/lib/perl5/site_perl /opt/local/lib/perl5/vendor_perl .) at 
/opt/local/lib/perl5/vendor_perl/5.12.4/Module/Load/Conditional.pm line 14.
BEGIN failed--compilation aborted at /opt/local/lib/perl5/vendor_perl/5.12.4/Module/Load/Conditional.pm line 14.
Compilation failed in require at /opt/local/lib/AMC/perl/AMC-gui.pl line 41.
BEGIN failed--compilation aborted at /opt/local/lib/AMC/perl/AMC-gui.pl line 41.

08/29/2013 08:54 pm - Alexis Bienvenüe
> Can't locate Module/Metadata.pm in @INC
Check that @p5-module-metadata@ MacPorts package is installed.

08/30/2013 07:07 pm - Juliana Belding
It was NOT installed and now that I did install it, auto-multiple-choice launches (with some errors, but nothing serious I think). 

Thank you so much!!

Gtk-WARNING **: Unknown property: GtkImage.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkImage.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkImage.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkComboBox.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.

04/25/2025 1/2



Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.

Gtk-WARNING **: Unknown property: GtkHBox.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkHBox.hexpand at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkScrolledWindow.hexpand at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkTreeView.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkTreeView.hexpand at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkVButtonBox.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkVBox.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkHBox.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.

08/30/2013 08:13 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

OK. @p5-module-metadata@ should be declared as a dependency somewhere...
> with some errors, but nothing serious I think
Yes, I think this won't hurt so much.

10/31/2014 07:12 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed
